Has patch: No
Affected Flow version: Git master
Subject: ValidationResults ViewHelper must always render childnodes
Description

The adjustments to the new HTTP implementation in FLOW3 introduced a regression that prevents the child nodes of the
ValidationResults ViewHelper from being rendered if no validation errors occurred.

Associated revisions
Revision b136cfb5 - 2012-04-18 15:15 - Aske Ertmann 

[BUGFIX] Render childnodes in validation results VH

The adjustments to the new HTTP implementation in FLOW3
introduced a regression that prevents the child nodes of the
ValidationResults ViewHelper from being rendered if no
validation errors occurred.
This change reverts this breaking behavior and adds unit
tests for the ViewHelper.

Fixes: #36297
Releases: 1.1
Change-Id: I5f64382ac661a2fe784d2a99adfb3a07c276c197

History
#1 - 2012-04-18 15:15 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10339

#2 - 2012-04-19 02:37 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b136cfb5b015307fa58f21c3d95c6eff5490549f.
